Package org.apache.sysds.runtime.einsum

# Class EinsumEquationValidator

java.lang.Object
org.apache.sysds.runtime.einsum.EinsumEquationValidator

public class EinsumEquationValidator extends Object

## Constructor Summary

Constructors
Constructor
Description
`EinsumEquationValidator()`

## Method Summary

Modifier and Type
Method
Description
`static <HopOrIdentifier extends ParseInfo>
org.apache.commons.lang3.tuple.Triple<Long,Long,Types.DataType>`
`validateEinsumEquationAndReturnDimensions(String equationString, List<HopOrIdentifier> expressionsOrIdentifiers)`
`static Types.DataType`
`validateEinsumEquationNoDimensions(String equationString, int numberOfMatrixInputs)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EinsumEquationValidator

public EinsumEquationValidator()

## Method Details

### validateEinsumEquationAndReturnDimensions

public static <HopOrIdentifier extends ParseInfo> org.apache.commons.lang3.tuple.Triple<Long,Long,Types.DataType> validateEinsumEquationAndReturnDimensions(String equationString, List<HopOrIdentifier> expressionsOrIdentifiers) throws LanguageException

Throws:
  `LanguageException`

### validateEinsumEquationNoDimensions

public static Types.DataType validateEinsumEquationNoDimensions(String equationString, int numberOfMatrixInputs) throws LanguageException

Throws:
  `LanguageException`